PHP Fusion 7.02.07 mit PHP 7.0 laufen lassen - geht das

38 Klicks

VON Alex L
05. Juni 2017

Kategorie PHP-Fusion

Hallo lieber Leser! Wie ich im Artikelanleser bereits erwähnte, ging es mir heute um PHP Fusion 7.02.07 und PHP 7.0-7.1. Auf einmal entschied ich mich die Wochen diese Installation und die Subdomain auf PHP 7.0 umzustellen. Doch was mir nicht bewusst war, dass es gar nicht unter PHP 7.0 am Laufen gehalten werden kann. Nicht wenn man sich diesen Fix installiert.



Wo gibt es die gefixte Version?



Das findest du heutzutage unter https://github.com/HarlekinPower/Projekt-PHP7-1.1 und dort im Repository nachsehen und das Paket einfach downloaden. Du hast es dann ganz normal hand, lädst alle Dateien sowie Verzeichnisse zum Server hoch und stellst deine Domain auf PHP 7.1 um. Das wird denke ich mir mal funktionieren.



Mein Problem war das AtomX-Theme!



Das ist hier im Einsatz und ausgerechnet das Theme ist nicht php7.1-lauffähig. Da ist dann nicht möglich, weil es gleich Fehlermeldungen im Frontend gibt. Aber unter PHP 7.0 läuft das. Ich kann mich aber entsinnen, dass es noch die passende Zeit für PHP 7.0 war, als dieses Theme auf Deutsch angepasst worden ist. Das geschah durch jemanden aus der deutschen PHP Fusion Community. Wenn du etwas tiefer stöberst unter https://phpfusion-deutschland.de, wirst du vermutlich die dementsprechend Topics finden. 



Das Theme möchte ich hier aber jedenfalls behalten, weil mir die Forumaufmachung so gefallen hat und weiterhin gefällt. Ich werde nach Theme-Updates von AtomX gerne Ausschau halten und wenn es da etwas geben wird, wird hier ein Update des Themes gemacht. Bei anderen, neueren Themes dürftest du eventuell auch mit PHP 7.1 keine Probleme bekommen.



Heute mit der Hilfestellung meines Webhosters fanden wir es heraus, dass die eine MySQL-Funktion von PHP Fusion 7.02.07 nicht mehr unter PHP 7.0 supportet wird. Daher meine Idee, schnell auf die offizielle deutsche PHP Fusion Webseite zu gehen und mich auf den Laufenden zu bringen. Das war demnach ein voller Erfolg heute hier :)



Der Ckeditor beim PHP Fusion 7.02.07



Dafür gibt es ein Plugin, aber weisst du, was ich herausfand?! Du kannst die offizielle Ckeditor Version 4.7.0 nutzen, indem du die Dateien und Verzeichnisse über denen des Plugins hochlädst. Achte nur noch darauf, dass es kein Custom Ckeditor ist, denn es würde nicht funktionieren. Mit der Vollversion des Ckeditors 4.7.0 hat es geklappt hier eben. Da freue ich mich sehr darauf, denn ich habe alles, was ich brauche. 



Nur vermisse ich den Wortzähler, aber vermutlich muss ich das in den Plugin-Einstellungen, direkt in den Dateien, eintragen. Das lässt sich ja bei Zeiten nachsehen, ob es möglich ist. Es wären dann eben Extra-Plugins, die man durchaus so eintragen kann. 



Wahrscheinlich in der Datei config.js muss ich das dann machen. Aber vorher sollte ich vielleicht im deutschen Support-Forum nachfragen oder was denkst du? - bevor ich es da im Alleingang mache. Wie dem auch sei, so ist es erstmals ganz gut und ich könnte so super bloggen. 



Das wären meine News heute für dich und gut, dass ich auf dieser Subdomain vorbeischaute. Ich biete ja den CMS-Installation-Service an und das Projekt zeigt Fehler an. Wie sieht das aus oder....geht gar nicht so etwas, wie ich meinen würde. 



by Alexander Liebrecht



 


Popular News

Kommentar schreiben

Name:


0 Kommentare

Es wurden noch keine Kommentare verfasst.